# Modelization parameters

![Modelization Parameters.png](HXyPFmopmiRg)

- Model optimization strategy: Choose if you want to optimize on Precision, Recall, or F1 Score for the modeling

- Categorical_metadata: select which columns of the dataset are categorical (need to update the flow before if the dataset schema has been modified)
- Numerical_metadata: select which columns of the dataset are numerical (need to update the flow before if the dataset schema has been modified)


- Number CLV group: Number of clusters used for the clustering method; more clusters will offer a more precise clustering but reduce the prediction performances.

- Clustering method: Quantiles of Kmeans see [Clustering](article:3)

- Lifetime parameters:
      - Lifetime Activated: you can choose to deactivate the lifetime model
      - Lifetime Gridsearch: instead of providing fixed penalizer values, you can leverage a grid search to find the optimal model within bounds
      - Penalizer BGF: penalizer for the BetaGeoFitter
      - Penalizer GGF: penalizer for the GammaGammaFitter

        Penalizers should be as low as possible to improve the prediction and increased when you have convergence errors (those errors can be affected by the random sampling of the train data)

   - Discount Rate: as defined in [here](https://en.wikipedia.org/wiki/Discounted_cash_flow)

- Number of records in train/test: number of rows selected at random it the potential training data; to adapt depending on performances

- Train/Test ratio:  Ratio of train data used for modeling in ]0,1[
 
